import * as tslib_1 from "tslib";
import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { AccumulationDistributionIndicator } from "./AccumulationDistributionIndicator";
/**
 * Represents a IgxDataChartComponent Accumulation/Distribution indicator series.
 * Default required members: Close, Low, High, Volume
*/
var IgrAccumulationDistributionIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrAccumulationDistributionIndicator, _super);
    function IgrAccumulationDistributionIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrAccumulationDistributionIndicator.prototype.createImplementation = function () {
        return new AccumulationDistributionIndicator();
    };
    Object.defineProperty(IgrAccumulationDistributionIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrAccumulationDistributionIndicator;
}(IgrStrategyBasedIndicator));
export { IgrAccumulationDistributionIndicator };
